---
search:
  tags:
    - Attributes
    - PUT
seo:
  description: >-
    Creates… Reference for the PUT
    /api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key}/relationship
    endpoint in the Management API.
sidebar:
  label: Create attribute relationship
  badge: PUT
title: Create attribute relationship
type: openapi-operation
---
Creates relationships between an attribute and one or more items (products, tags, categories, etc.). Publishes a relationship creation event.

`PUT /api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key}/relationship`

**Request body** (`application/json`, required)

Items IDs you want to create a relationship with

- `items` (string[])

Request body example:

```json
{
  "items": [
    "string"
  ]
}
```

**Responses**

- `200` — Attribute relationship created
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}
```
